/********************************************************************
* S.H.D.
* Via Bisalta 29
* 12100 - Cuneo
* Italy
*
* Item:
* Revision: 01
* Date: 16/08/2010
* Author: Alex Tardivo
* Module: bufcir.h
* Description: dipendenze bufcir.c
*
*********************************************************************/
#ifndef _BUFCIRC_H
#define	_BUFCIRC_H

/*********************************************************************
	Tipi di struttura
*********************************************************************/
typedef struct
{
	word put;
  	word get;
    word dim;
    byte *buf;
} STRUCT_BUFCIR;


/*********************************************************************
	Prototipi funzioni globali
*********************************************************************/
extern void BufCirInit(STRUCT_BUFCIR  *pd, u08 *pBuf, word dimMia);
extern void BufCirFlush(STRUCT_BUFCIR  *pd);
extern word BufCirFree(STRUCT_BUFCIR  *pd);
extern word BufCirTaken(STRUCT_BUFCIR  *pd);
extern void BufCirStrCopy(STRUCT_BUFCIR *pd, byte *pSrc, word len);
extern void BufCirPut(STRUCT_BUFCIR *pd, byte dat);
extern byte BufCirGet(STRUCT_BUFCIR *ps);
extern byte BufCirDataRdy(STRUCT_BUFCIR  *pd);
extern word BufCirChkIfLastOne(STRUCT_BUFCIR *pd);

#endif



