#ifdef	__MAIN_H
	#define	main_ext
#else
	#define	main_ext	extern
#endif


#if !defined(MAIN_H)
#define MAIN_H

#include <project.h>

#define	RUNLED_INIT   	1
#define	RUNLED_LOGOUT	2
#define	RUNLED_PWD   	3
#define	RUNLED_CFG    	4
#define	RUNLED_NOTIFY	5

#define	DELAYED  		0
#define	IMMEDIATE		1

#define	LD_TIM_1MS(xx) 				(xx = millisecCtr)
#define	NO_T0_TIM_1MS(xx,yy)		NoTout(millisecCtr,xx,yy)
#define	YES_T0_TIM_1MS(xx,yy)		YesTout(millisecCtr,xx,yy)

/******************************* Function Declaration *************************************/
void InitializeSystem(void);
/********************************************************************************************/
#endif

struct _itemSetup
{
	u08  	header[16];
    u08     crcType[8];
};



struct _rxtx
{
	STRUCT_BUFCIR   buffCircRx;
	byte            buffRx[RXBUF_LEN];
	byte            buffTx[TXBUF_LEN];
    u16             txLen;
    u08             *txPtr;
    u08             toutRxLF;
    byte            delaySend_2mS5;
	u16				toutWaitLF_2mS5;
};
main_ext    volatile struct _rxtx    comm;
main_ext    volatile u16 millisecCtr;
main_ext    volatile u08 notifyEnabled;
main_ext    s16 NoTout(u16 msCtr,u16 orgTime,u16 tout);
//=====================================================================================
main_ext    s16 YesTout(u16 msCtr,u16 orgTime,u16 tout);
main_ext    void PutCrc16AndLF(uint8 *pB, u08 len);
main_ext    void ClearPressureVars(void);
main_ext    CYBLE_API_RESULT_T RefreshTxCharacteristic(u08 *p, u08 len);

//=====================================================================================

/* [] END OF FILE */
