#ifdef	__TIMER_H
	#define	tmr_ext
#else
	#define	tmr_ext	extern
#endif


#define	LD_TIM_1MS(xx) 				(xx = millisecCtr)
#define	NO_T0_TIM_1MS(xx,yy)		NoTout(millisecCtr,xx,yy)
#define	YES_T0_TIM_1MS(xx,yy)		YesTout(millisecCtr,xx,yy)

#define	LED_RUN_ON					*((uint32 *)CYREG_GPIO_PRT0_DR) &= 0xDF
#define	LED_RUN_OFF					*((uint32 *)CYREG_GPIO_PRT0_DR) |= 0x20
#define	LED_RUN_CPL					*((uint32 *)CYREG_GPIO_PRT0_DR) ^= 0x20

#define	NOTIFICATION_DELAY_100MS	(100/10)


struct _ledVars
{
	const u08 * ptr;
	u08 idx;
	u08 mode;
};

tmr_ext   	volatile u16 				millisecCtr;
tmr_ext    	volatile u08 				bleActive;
//tmr_ext  	volatile struct _sPr   		sendPr;
tmr_ext 	volatile struct _ledVars	runLed;
//=====================================================================================
tmr_ext    	s16 NoTout(u16 msCtr,u16 orgTime,u16 tout);
tmr_ext    	s16 YesTout(u16 msCtr,u16 orgTime,u16 tout);
tmr_ext    	void RunLedBlinkMode(u08 bMode);
tmr_ext    	void RunLedBlinkModeInit(void);
